:root {
    --header-font: 'Notable', sans-serif;
    --main-font: 'Montserrat', sans-serif;
    --main-text: #000;
    --separt-line: #000;
    --border: #000;
    --white: #fff; 
    --hover: #A66FFE;
    --Headings-phone: 30px;
    --Subheadings-phone: 19.5px;
    --BodyText-phone: 15px;
    --footer-phone: 13px;
    --Headings-desktop: 35px;
    --Subheadings-desktop: 30px;
    --BodyText-desktop: 18px;
    --footer-desktop: 16px;
  }

html,
body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100vh;
    scroll-behavior: smooth;
}

/* index.html */
/* name on top */
.personal-logo {
    position: absolute;
    z-index: 1000;
    width: 15%;
    height: auto;
    margin: 0;
    padding: 0;
}

.logo{
    width: 100%;
    height: auto;
    background-color: var(--white);
}

.ticker {
    width: 100%;
    font-family: var(--header-font);
    color: var(--main-text);
    font-size: 17.895833vw;
    text-transform: uppercase;
    line-height: 1em;
    overflow: hidden;
}
  
.ticker__items {
    display: flex;
    white-space: nowrap;
    align-items: center;
    width: fit-content;
}
  
.ticker__item {
    padding: 0 27px 0 27px;
    animation: MotionScale 30s linear infinite;
}
  
@keyframes MotionScale {
    from {
        transform: translateX(0%);
    }
    to {
        transform: translateX(-200%);
    }
}

/* about me text */
.about__text {
    font-family: var(--main-font);
    font-size: var(--BodyText-phone);
    text-transform: uppercase;
    padding: 25px 0 25px 0;
}

/* links */
.padding-box {
    padding: 30px;
}

.link_box {
    width: 90px;
    text-align: center;
}

.link_text {
    color: var(--main-text);
    font-family: var(--main-font);
    font-style: italic;
    text-transform: uppercase;
    background-color: var(--hover);
    padding: 0 5px 0 5px;
    text-decoration: none;
}

.link_text:hover {
    font-style: normal;
}

/* project pictures */
.w-100 {
    margin: 5px 0 0 0;
}

/* year and line*/
.year {
    font-family: var(--main-font);
    font-size: var(--Subheadings-phone);
    margin: 0px;
}

.year_line {
    border: 1px solid var(--separt-line);
}

.line {
    border: 0.1px solid var(--separt-line);
}

/* projects */
.row-box {
    padding: 0 10px;
    margin-bottom: 15px;
    /* From https://css.glass */
    background: rgba(255, 255, 255, 0.15);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(6.7px);
    -webkit-backdrop-filter: blur(6.7px);
}

.row {
    padding: 20px 0 30px 0;
}

.project__title {
    font-family: var(--main-font);
    font-size: var(--Headings-phone);
}

.project-img {
    width: 100%;
    height: auto;
    border: 0.1px solid var(--border);
}

.project__text {
    font-family: var(--main-font);
    font-size: var(--BodyText-phone);
    color: var(--main-text);
    padding: 15px 0 0 0;
}

/* skills */
.language-box {
    padding: 20px 0 30px 0;
}

.skill-box {
    width: 100%;
    height: auto;
}
.skill {
    font-family: var(--main-font);
    color: var(--main-text);
    margin: 12px 0;
    border-radius: 6px;
    border: 1px solid var(--border);
    height: auto;
    position: relative;
    overflow: hidden;
}
  
.skill__knowledge {
    color: var(--white);
    font-size: var(--BodyText-phone);
    line-height: 1em;
    padding: 3px 0 3px 10px;
    height: 100%;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    transition: width 0.8s ease-in-out;
}

/* footer phone */
.footer {
    border-top: 2px solid var(--border);
    margin-top: 33px;
    text-align: center;
}
  
.footer__content {
    text-align: left;
    text-transform: uppercase;
}
  
.footer__content::after {
    content: "";
    clear: both;
    display: table;
}
  
.footer__social {
    display: inline-block;
    vertical-align: middle;
}
  
.footer_general {
    width: 40px;
    height: auto;
    font-family: var(--header-font);
    text-decoration: none;
    text-transform: uppercase;
    color: var(--main-text);
    font-size: var(--footer-phone);
    padding-left: 2px;
}
  
.footer_general:hover {
    color: var(--hover);
}

.footer_text {
    font-family: var(--main-font);
    font-size: var(--footer-phone);
}


/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
/*xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx*/
@media (min-width: 1024px) {
    /* logo */
    .personal-logo {
        width: 10%;
    }

    /* name on the top */
    .ticker {
        font-size: 11.895833vw;
    }
    
    /* about text */
    .about__text {
        font-size: var(--BodyText-desktop);
        padding: 50px 0 60px 0;
    }

    /* project pictures*/
    .w-100 {
        margin: 0px;
    }
    
    /* project year */
    .year {
        font-size: var(--Subheadings-desktop);
    }
  
    /* project title */
    .project__title {
        font-size: var(--Headings-desktop);
    }
  
    /* project description text */
    .project__text {
        font-size: var(--BodyText-desktop);
        padding: 0px;
    }
  
    /* Skill name und description */
    .skill__knowledge {
        font-size: var(--BodyText-desktop);
    }

    /* footer desktop */
    .footer {
        border-top: 2px solid var(--border);
        margin-top: 33px;
        padding: 33px;
        text-align: center;
    }

    .footer_text {
        font-size: var(--footer-desktop);
        width: 16%;
        float: right;
    }

    .footer__social {
        width: calc(100% - 500px);
    }
    
    .footer_general {
        padding: 10px;
        font-size: var(--footer-desktop);
    }
}


